<template>
  <div class="bg-white shadow-md border border-indigo-200 rounded-lg max-w-sm hover:shadow-2xl">
    <router-link :to="`catalog/game/${id}`">
      <img class="rounded-t-lg" :src="`${image_url}`" alt="`${title}`" />
    </router-link>
    <div class="p-5">
      <router-link :to="`catalog/game/${id}`">
        <h5
          class="text-gray-900 font-bold text-2xl tracking-tight mb-2 dark:text-white"
        >
          {{ title }}
        </h5>
      </router-link>
      <p class="font-normal text-gray-700 mb-3 dark:text-gray-400">
        {{ description }}
      </p>
      <router-link :to="`catalog/game/${id}`">
        <a
          class="text-white bg-indigo-700 hover:bg-indigo-800 focus:ring-4 focus:ring-indigo-300 font-medium rounded-lg text-sm px-3 py-2 text-center inline-flex items-center  dark:bg-indigo-600 dark:hover:bg-indigo-700 dark:focus:ring-indigo-800"
        >
          Plus d'info
          <svg
            class="-mr-1 ml-2 h-4 w-4"
            fill="currentColor"
            viewBox="0 0 20 20"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              fill-rule="evenodd"
              d="M10.293 3.293a1 1 0 011.414 0l6 6a1 1 0 010 1.414l-6 6a1 1 0 01-1.414-1.414L14.586 11H3a1 1 0 110-2h11.586l-4.293-4.293a1 1 0 010-1.414z"
              clip-rule="evenodd"
            ></path>
          </svg>
        </a>
      </router-link>
    </div>
  </div>
</template>

<script>
export default {
  name: "Card",
  props: {
    image_url: {
      type: String,
      default: "https://cdn.radiofrance.fr/s3/cruiser-production/2020/12/0943738d-0301-4ddb-a8a7-c442e2bcccb0/1136_gettyimages-1164537342.jpg"
    },
    title: {
      type: String,
      default: ""
    },
    description: {
      type: String,
      default: ""
    },
    id: {
      type: Number,
      default: 0
    }
  }
}
</script>

<style scoped></style>
